Bug 165482 - After opening with "Open with...", Ksnapshot should self-close
Summary: After opening with "Open with...", Ksnapshot should self-close
Status: RESOLVED INTENTIONAL
Alias: None
Product: ksnapshot
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Richard Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-01 13:13 UTC by Dotan Cohen
Modified: 2010-03-27 12:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to call exit() when 'Open With' is selected (297 bytes, patch)
2010-03-25 11:42 UTC, Sukhbir Singh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2008-07-01 13:13:18 UTC
Version:            (using KDE 4.0.83)

When using the "Open with..." dialog in Ksnapshot, one has no more use for the Ksnapshot window. Please add an option to automatically close the Ksnapshot window when "Open with..." has been selected. Thanks.
Comment 1 Sukhbir Singh 2010-03-25 11:42:46 UTC
Created attachment 42249 [details]
Patch to call exit() when 'Open With' is selected
Comment 2 Sukhbir Singh 2010-03-25 11:43:09 UTC
I have uploaded a patch for this. When 'Open With' is selected, KSnapshot will open the called program and then quit. After all, if you are opening the image in another program, you don't need KSnapshot running.

I have verified that KSnapshot exits normally using gdb.
Comment 3 Richard Moore 2010-03-26 16:52:12 UTC
I've discussed this with Celeste from the usability team, and she agreed with my own gut feeling that this probably doesn't fit with the most common use-case which is taking a series of screenshots. In that case, this would be a major annoyance. 

Accordingly, I'm going to reject this change and close this bug as a WONTFIX.

Thank you very much for contributing the code, it really is appreciated however.

For people who would like this feature or similar, I added code to kwin some years back that would take a screenshot of a single window or the desktop and store it in the clipboard. You should be able to find the keybinding in the kwin keyboard shortcuts dialog.
Comment 4 Sukhbir Singh 2010-03-26 17:48:12 UTC
(In reply to comment #3)

No problem, this was my first patch and I was just getting familiar with the code! :)
Comment 5 Dotan Cohen 2010-03-27 12:09:17 UTC
> doesn't fit with the most common use-case
> which is taking a series of screenshots.

How has it been determined that taking a series of screenshots is the most common use-case scenario?

Furthermore, even if one is taking a series of screenshots, it may still be logical to self-close. For one, taking a screenshot with the keyboard shortcut does not need the Ksnapshot window to be open (one would not want the Ksnapshot window to be part of the screenshot).
Comment 6 markuss 2010-03-27 12:22:20 UTC
(In reply to comment #5)

> How has it been determined that taking a series of screenshots is the most
> common use-case scenario?

It's the opposite of what you want.